blk_execute_rq
Prev | Chapter 19. Block Devices | Next

## Name

blk_execute_rq — insert a request into queue for execution

## Synopsis

`int blk_execute_rq (` | struct request_queue * | q,
| struct gendisk * | bd_disk,
| struct request * | rq,
| int | at_head`)`;

## Arguments

`q`

  queue to insert the request in

`bd_disk`

  matching gendisk

`rq`

  request to insert

`at_head`

  insert request at head or tail of queue

## Description

Insert a fully prepared request at the back of the io scheduler queue for execution and wait for completion.

Prev | Up | Next
blk_execute_rq_nowait | Home | blkdev_issue_flush